; =====================================================
; ===============  PROMOD LADDER NERFS  ===============
; =====================================================

add:
{
	"classname" "prop_dynamic"
	"angles" "0 134 0"
	"disableshadows" "1"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-4012 -5309 472"
}

; --- block stuck spots in the tree clusters at the start
add:
{
	; invisible block 1
	"origin" "-3603 -6160 897"
	"mins" "-18 -17 -446"
	"maxs" "18 17 446"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
{
	; invisible block 5
	"origin" "-3310 -3600 405"
	"mins" "-22 -20.5 -91.5"
	"maxs" "22 20.5 91.5"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
{
	; invisible block 6
	"origin" "-3305 -4815 442"
	"mins" "-30 -16 -110"
	"maxs" "30 16 110"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
; --- add spawns to end saferoom area and add a way out for a stuck spot
{
	"classname" "prop_dynamic"
	"angles" "0 270.5 6.5"
	"disableshadows" "1"
	"model" "models/props_swamp/plank001b_192.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-4499 -4069 779"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_rooftop/acvent04.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "6027 -6087 542"
}
{
	"classname" "prop_dynamic"
	"angles" "0.108091 270 0"
	"disableshadows" "1"
	"model" "models/props_junk/dumpster.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "6363 -5209 383.137"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5754 -6439 396.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5797.48 -6248.82 412.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5732.91 -6249.42 412.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5733 -6184 412.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5797.57 -6183.4 412.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5796.57 -6248.4 445.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5797.48 -6183.82 476.857"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props_industrial/brickpallets.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "5732.91 -6119.42 380.857"
}

; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "-4471 -5229 96"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "-4471 -5184 97"
	"angles" "0 90 -90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}